package com.ruoyi.web.v3.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbSlaughterSummaryMonthlyEntity;
import com.ruoyi.web.v3.model.request.HbSlaughterSummaryMonthlyPageReq;

/**
 * <p>
 * v3.0 屠宰情况月汇总 服务类
 * </p>
 */
public interface IHbSlaughterSummaryMonthlyService extends IService<HbSlaughterSummaryMonthlyEntity> {

    AjaxResult add(HbSlaughterSummaryMonthlyEntity request);

    AjaxResult edit(HbSlaughterSummaryMonthlyEntity request);

    AjaxResult delete(String ids);

    AjaxResult page(HbSlaughterSummaryMonthlyPageReq request);

    AjaxResult listAll();
}
